Subject: Re: missing tags!

From: layer <[email-masked]>
Date: Wed, 08 Dec 2010 16:05:29 -0800

Jeff King <[email-masked]> wrote:

>> On Wed, Dec 08, 2010 at 11:44:35AM -0800, layer wrote:
>> 
>> > I have a repo to which I push to frequently.  For each release of the
>> > software from this repo, I create an annotated tag and push it to this
>> > repo.  I noticed yesterday that he has a single tag in it, when it
>> > should have 100+.  The tag there was the last one I pushed to it.
>> > 
>> > The missing tags were created with
>> > 
>> >   git tag -a -m "release 4.2rm t1" release42rm_t1 HEAD
>> > 
>> > and pushed to the (bare) repo in question with
>> > 
>> >   git push origin release42rm_t1
>> > 
>> > I cannot imagine how the tags got deleted, and I'm looking for some
>> > guidance.
>> 
>> How did you verify that the tags were deleted? Are you sure they are not
>> just packed?

Ack.  I didn't know about packed tags.

Thanks, and sorry for the noise.

Kevin